> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update blocked email

> Change the note on a blocked email. The email itself cannot be changed. To change it, block the new email and delete this one.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetocal.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/blocked-emails.yaml PATCH /blocked-emails/{id}
openapi: 3.0.3
info:
  title: NeetoCal Blocked Emails APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Blocked emails
    description: >-
      APIs to manage blocked emails. A blocked email cannot book a meeting or
      buy a package. Emails are stored lowercased and without `+tags`. Gmail
      addresses are also stored without dots, so `John.Doe+promo@gmail.com` is
      stored as `johndoe@gmail.com`.
paths:
  /blocked-emails/{id}:
    patch:
      tags:
        - Blocked emails
      summary: Update a blocked email
      description: >-
        Change the note on a blocked email. The email itself cannot be changed.
        To change it, block the new email and delete this one.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/blocked_email_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/blocked_email_update_request'
            example:
              blocked_email:
                note: Repeated no-shows
      responses:
        '200':
          description: OK - Blocked email updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/blocked_email_response'
        '422':
          description: Unprocessable Entity - `note` is longer than 255 characters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Note is too long (maximum is 255 characters)
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
    blocked_email_id:
      in: path
      name: id
      description: >-
        The unique identifier of the blocked email. You can get this `id` from
        the response of the [List blocked emails](/api/blocked-emails/list)
        endpoint.
      required: true
      schema:
        type: string
        example: 3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f
  schemas:
    blocked_email_update_request:
      type: object
      required:
        - blocked_email
      properties:
        blocked_email:
          type: object
          properties:
            note:
              type: string
              nullable: true
              maxLength: 255
              description: New note. Pass `null` to clear it.
              example: Repeated no-shows
    blocked_email_response:
      type: object
      properties:
        blocked_email:
          $ref: '#/components/schemas/blocked_email'
    blocked_email:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the blocked email.
          example: 3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f
        email:
          type: string
          description: >-
            The blocked email, stored lowercased and without `+tags` (and
            without dots for Gmail).
          example: spammer@example.com
        note:
          type: string
          nullable: true
          description: Why the email was blocked.
          example: Repeated spam bookings
        created_at:
          type: string
          format: date-time
          description: When the email was blocked.
          example: '2026-10-27T10:15:30.000Z'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.